EDocParserInternal::State Struct Reference

Internal: the state of a EDocParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

bool | m_compressed
| a flag to know if the data are compressed or not
int | m_maxPictId
| the maximum of picture to read
std::map< int, MWAWEntry > | m_idCPICMap
| a map id -> cPIC zone
std::map< int, MWAWEntry > | m_idPICTMap
| a map id -> PICT zone
std::vector< Index > | m_indexList
| the index list
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a EDocParser.

## Constructor & Destructor Documentation

## State()

EDocParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int EDocParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_compressed

bool EDocParserInternal::State::m_compressed

a flag to know if the data are compressed or not

Referenced by State().

## m_footerHeight

int EDocParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_headerHeight

int EDocParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_idCPICMap

std::map<int, MWAWEntry> EDocParserInternal::State::m_idCPICMap

a map id -> cPIC zone

Referenced by State().

## m_idPICTMap

std::map<int, MWAWEntry> EDocParserInternal::State::m_idPICTMap

a map id -> PICT zone

Referenced by State().

## m_indexList

std::vector<Index> EDocParserInternal::State::m_indexList

the index list

Referenced by State().

## m_maxPictId

int EDocParserInternal::State::m_maxPictId

the maximum of picture to read

Referenced by State().

## m_numPages

int EDocParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- EDocParser.cxx